//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|                                                                 b-PSI@GrafOBJ.mqh |
//|                                    Copyright  2013-14, Igor Stepovoi aka TarasBY |
//|                                                                taras_bulba@tut.by |
//| 23.04.2013         .   |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
#property copyright "Copyright  2008-14, TarasBY WM R418875277808; Z670270286972"
#property link      "taras_bulba@tut.by"
//IIIIIIIIIIIIIIIIIII==================CONSTANS=================IIIIIIIIIIIIIIIIIIIIII+
//IIIIIIIIIIIIIIIIIII=========  =======IIIIIIIIIIIIIIIIIIIIII+
//|***********************************************************************************|
#import "b-PSI@GrafOBJ.ex4"
//|***********************************************************************************|
    bool fCreate_FIBO (
        string fs_Name,             //   
        int fi_Level,               //   
        double& ar_FiboLevel[],     //   FIBO-
        datetime T1,                //   
        double P1,                  //   
        datetime T2,                //   
        double P2);                 //   
    //    FIBO-
    void fCreate_FiboOnChannel (
        string fs_Name,             //  
        int fi_Levels,              //   
        double fd_Level_0,          //  
        double fd_Level_100,        //  
        int fi_Bar,                 //      
        color fc_color);            //  
    //  FIBO-  
    void fCreate_FiboOnPeak (
        string fs_prefName,         //   
        int& ar_MIN[],              //   
        int& ar_MAX[]);             //   
    //  FIBO-  2-  
    bool fCreat_OBJ (
        string fs_Name,             //  
        int fi_OBJ,                 //  
        string fs_Description,      //  
        int fi_FontSize,            //   
        datetime fdt_Time1,         // 1-  
        double fd_Price1,           // 1-  
        bool fb_Ray = true,         //    OBJ_TREND
        color fc_Color = Gold,      // 
        datetime fdt_Time2 = 0,     // 2-  
        double fd_Price2 = 0);      // 2-  
    //  OBJ_TREND, OBJ_HLINE, OBJ_VLINE, OBJ_TEXT
    void fDraw_OBJ (
        string fs_Name,             //  
        int fi_OBJ,                 //   
        datetime fdt_Time1,         // TIME1
        double fd_Price1,           // PRICE1
        datetime fdt_Time2,         // TIME2
        double fd_Price2,           // PRICE2
        color fc_color = White,     // 
        int fi_width = 1,           // 
        int fi_Period = 9,          //   
        string fs_Text = "",        // 
        int fi_Angle = 0,           // 
        int fi_fontsize = 10,       //  
        string fs_fontname = "Arial",// 
        int fi_Window = 0);         // 
    //    
    bool fSet_Arrow (
        string fs_Name,             //  
        int fi_ArrowCode,           //    OBJ_ARROW
        string fs_Description,      //  
        int fi_Size = 0,            //  
        color fc_Color = Gold,      // 
        datetime fdt_Time = 0,      //  
        double fd_Price = 0,        //  
        int fi_Window = 0);         //  
    //   OBJ_ARROW
    bool fSet_Label (
        string fs_Name,             //  
        string fs_Text,             //  
        int fi_X,                   //  X
        int fi_Y,                   //  Y
        int fi_Size = 10,           //   
        string fs_Font = "Calibri", //  
        int fi_Corner = 0,          //   
        int fi_Angle = 0,           //     
        color fc_CL = CLR_NONE);    // 
    //   OBJ_LABEL
    bool fSet_HLine (
        string fs_Name,             //  
        double fd_Price,            // PRICE
        color fc_color = -1,        // 
        int fi_Width = 1,           // 
        int fi_Style = 0,           //  
        string fs_Text = "",        // 
        int fi_Window = 0);         // 
     //     
    void fDraw_Line (
        int fi_X1,                  //  X  
        int fi_Y1,                  //  Y  
        int fi_X2,                  //  X  
        int fi_Y2);                 //  Y  
    //      ( )
    void fDraw_LineByAngle (
        int fi_X,                   //  X  
        int fi_Y,                   //  Y  
        double fd_Angle,            // 
        int fi_Length);             //  
    //     ( )
    int fDelete_ObjectsByTime  (
        datetime fdt_Time,          //  
        int fi_FormatTime = 0,      //  : 0 - , 1 - 
        string fs_Delimeter = "|-", //    
        string fs_Pref = "",        //   
        int fi_Type = -1,           //  
        int fi_Window = -1);        //  
    //        
    datetime fGet_TimeFromName (
        string fs_Name,             // 
        string fs_Delimeter = "|-", //    
        int fi_FormatTime = 0);     //  : 0 - , 1 - 
    //      
    int fObjectsDeleteAll  (
        string fs_Pref = "",        //   
        int ti_Type = -1,           //  
        int fi_Window = -1);        //  
    //     
    bool fObjectFind (string fs_Name);
    //     
    bool fObjectDelete (string fs_Name);
    //   
    bool fControl_ObjectMove (
        string fs_Name,             //  
        int fi_Property,            //  ()
        int fi_Value);              //  
    //       
//|***********************************************************************************|
//| :                                                           |
//|***********************************************************************************|
    bool fDraw_VirtSTOP (
        int fi_Ticket,              // Ticket
        string fs_prefName,         //    
        int fi_CMD,                 // BUY - 1; SELL = -1
        int fi_OP,                  //   (0 - SL; 1 - TP)
        double fd_Level);           //  
    //      
    void fWork_LineBU (
        string fs_pefName,          //    
        double fd_LevelBU,          //  
        double& ar_Lots[]);         //     
    //     
    bool fSet_SignalAtArrow (
        string fs_Name,             //  
        int fi_ArrowCode,           //    OBJ_ARROW
        string fs_Description,      //  
        int fi_Size = 0,            //  
        color fc_Color = Gold,      // 
        datetime fdt_Time = 0,      //  
        double fd_Price = 0,        //  
        int fi_Window = 0);         //  
    //     OBJ_ARROW
    bool fMigalka (double sec = 0.5);
    //      
    int fGet_LastError (
        string& Comm_Error,         //    
        string Com = "");           //    
    //      
    void fReload_LastError (
        string& ar_Comment[],       //      
        int fi_IND);                //     
    //       
//|***********************************************************************************|
#import
//IIIIIIIIIIIIIIIIIII===========  =========IIIIIIIIIIIIIIIIIIIIII+
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+

