//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|                                                             b-PSI@STOPs_Light.mqh |
//|                                    Copyright  2011-12, Igor Stepovoi aka TarasBY |
//|                                                                taras_bulba@tut.by |
//|   20.05.2012      .                              |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|        .  -  |
//|      (TarasBY).      |
//|       ,      .  |
//|      .                              |
//|         ,    - |
//| .                                                            |
//|     ,    ,    |
//|     Skype: TarasBY  e-mail.                           |
//+-----------------------------------------------------------------------------------+
//|   This product is intended for non-commercial use.  The publication is only allo- |
//|wed when you specify the name of the author (TarasBY). Edit the source code is va- |
//|lid only under condition of preservation of the text, links and author's name.     |
//|   Selling a module or(and) parts of it PROHIBITED.                                |
//|   The author is not liable for any damages resulting from the use of a module.    |
//|   For all matters relating to the work of the module, comments or suggestions for |
//|their improvement in the contact Skype: TarasBY or e-mail.                         |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
#property copyright "Copyright  2008-13, TarasBY WM R418875277808; Z670270286972"
#property link      "taras_bulba@tut.by"
//IIIIIIIIIIIIIIIIIII==================CONSTANS=================IIIIIIIIIIIIIIIIIIIIII+
//IIIIIIIIIIIIIIIIIII==========  =========IIIIIIIIIIIIIIIIIIIIII+
extern string SETUP_STOPs           = "================ Make STOP`s ==================";
extern int    N_STOPs                  = 0;                // N ()   (0 - 3)
extern bool   USE_Dinamic_SL           = TRUE;             //  SL
extern bool   USE_Dinamic_TP           = FALSE;            //  TP
extern int    TF_STOPs                 = PERIOD_H1;        //     
extern int    MIN_StopLoss             = 30;               //  SL
extern int    MIN_TakeProfit           = 30;               //  TP
extern int    LevelFIBO_SL             = 0;                //   FIBO \  (-2 - 5)
extern int    LevelFIBO_TP             = 0;                //   FIBO \  (-2 - 5)
#include      <b-PSI@VirtualSTOPs.mqh>                     //   
extern string Setup_STATIC          = "***************** N0 - STATIC *****************";
extern int    StopLoss                 = 100;
extern int    TakeProfit               = 500;
//IIIIIIIIIIIIIIIIIII=========  =======IIIIIIIIIIIIIIIIIIIIII+
#include      <b-PSI@LEVELs_Light.mqh>                     //   
//IIIIIIIIIIIIIIIIIII========  =======IIIIIIIIIIIIIIIIIIIIII+
double        bd_MIN_SL, bd_MIN_TP;
int           bia_LevelFIBO[2];
//IIIIIIIIIIIIIIIIIII===========  =========IIIIIIIIIIIIIIIIIIIIII+
//bool fInit_STOPs()                 //  
/*bool fCreat_STOPs (int fi_NSTOPs,                // N ()  
                     int fi_Ticket,                // Ticket 
                     double fd_Price,              //    
                     int fi_Period,                // TF    
                     bool fb_NewBar,               //    
                     bool fb_USE_VirtualSTOPs = false,//    
                     bool fb_IsNET = false)*/      //    (SL  )
                                     //    
/*bool fUSE_STOP (int fi_Ticket,                   // Ticket 
                  double fd_Price,                 //    
                  bool fb_NewBar,                  //    
                  bool fb_USE_VirtualSTOPs = false,//    
                  bool fb_IsNET = false)*/         //    (SL  )
                                     //   
/*void fCreat_LevelsByFIBO (double ar_Extrem[],    //  
                            double& ar_STOPs[],    //   
                            int ar_LevelFIBO[])*/  //    (0 -  SL; 1 -  TP)
                                     //      FIBO (  ).
//bool fCheck_STOPsParameters()      //      
//|***********************************************************************************|
//| :                                                               |
//|***********************************************************************************|
//void fSet_ValuesSTOPs (string fs_Symbol)
                                     //       
//void fCheck_DecimalSTOPs()         //   
//bool fSet_ContinueSTOPs()          //    "" 
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//                                                                 |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
bool fInit_STOPs()
{
//----
    //----      
    if (!fCheck_STOPsParameters())
    {
        bs_ERROR = StringConcatenate ("     !!!", " || ", bs_ERROR);
        bb_OptimContinue = true;
        return (false);
    }
    //----      
    if (fSet_ContinueSTOPs()) {bb_OptimContinue = true; return (false);}
    //----    
    fInit_VirtualSTOPs();
    //----    
    if (!fInit_LEVELs (N_STOPs)) return (false);
    //----         
    fCheck_DecimalSTOPs();
    bia_LevelFIBO[0] = LevelFIBO_SL;
    bia_LevelFIBO[1] = LevelFIBO_TP;
    bb_ClearGV = true;
    string lsa_Array[1];
    lsa_Array[0] = "_#STOP";
    fCreat_ArrayGV (bsa_prefGV, lsa_Array);
    //----   
	 fGet_LastErrorInArray ("fInit_STOPs()", bi_indERR);
//----
    return (true);
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//|                                                     |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
bool fCreat_STOPs (int fi_NSTOPs,                    // N ()  
                   int fi_Ticket,                    // Ticket 
                   double fd_Price,                  //    
                   int fi_Period,                    // TF    
                   bool fb_NewBar,                   //    
                   bool fb_USE_VirtualSTOPs = false, //    
                   bool fb_IsNET = false)            //    (SL  )
{
    //----      - 
    string ls_Name = StringConcatenate (fi_Ticket, "_#STOP");
    if (GlobalVariableCheck (ls_Name))
    {
        if (!fb_NewBar) return (false);
        if (GlobalVariableGet (ls_Name) == 1) return (false);
    }
//----
    int    err = GetLastError();
    double lda_STOPs[] = {0.0,0.0}, lda_Levels[2];
    static string lsa_NameSTOPs[] = {"Classic","Extremum","ATR","ZZ"};
    bool   lba_Modify[] = {false,false};
//----
    bs_libNAME = "b-STOPs";
    bs_fName = lsa_NameSTOPs[fi_NSTOPs];
    //ArrayInitialize (ar_STOPs, 0.0);
    //----     
    fSet_ValuesSTOPs (OrderSymbol());
    //----   
    fRead_STOPs (fi_Ticket, fb_USE_VirtualSTOPs);
    //----  
    switch (fi_NSTOPs)
    {
        case 0: //  
            if (StopLoss > 0)
            {
                if (bd_curSL > 0.0) lba_Modify[0] = true;
                lda_STOPs[0] = bd_OpenPrice - bi_cmd * bd_SL;
            }
            if (TakeProfit > 0)
            {
                if (bd_curTP > 0.0) lba_Modify[1] = true;
                lda_STOPs[1] = bd_OpenPrice + bi_cmd * (bd_TP + bd_Spread);
            }
            //----    
            if (lba_Modify[0]) if (lba_Modify[1]) {GlobalVariableSet (StringConcatenate (fi_Ticket, "_#STOP"), 1); return (false);}
            break;
        case 1: //     fi_Period  S.cnt_Bars 
        case 2: //   ATR  fi_Period
        case 3: //   ZZP (ZigZag)  fi_Period
            //----   
            lda_STOPs[0] = bd_OpenPrice - bi_cmd * bd_MIN_SL;
            lda_STOPs[1] = bd_OpenPrice + bi_cmd * (bd_MIN_TP + bd_Spread);
            //----  
            if (fi_NSTOPs == 1) if (!fGet_Extremum (lda_Levels, bs_Symbol, fi_Period, E_cnt_Bars)) return (false);
            if (fi_NSTOPs == 2) if (!fGet_ATR (lda_Levels, bs_Symbol, fi_Period, E_cnt_Bars)) return (false);
            if (fi_NSTOPs == 3) if (!fGet_ZZP (lda_Levels, bs_Symbol, fi_Period)) return (false);
            //----      FIBO
            fCreat_LevelsByFIBO (lda_Levels, lda_STOPs, bia_LevelFIBO);
            break;
    }
    //----    (   ) SL  
    if (fb_IsNET) lda_STOPs[0] = 0.0;
    //----    SL   
    else bd_Trail = MathAbs (fd_Price - lda_STOPs[0]);
    bd_Price = fd_Price;
    ArrayInitialize (lba_Modify, False);
    //----    
    if (bd_curSL == 0.0 || (USE_Dinamic_SL && bi_cmd * (bd_OpenPrice - bd_curSL) > 0.0))
    {
        //----  SL  
        if (bi_cmd * (fd_Price - lda_STOPs[0]) > 0.0)
        {
            bd_NewSL = NDD (lda_STOPs[0]);
            //----  SL    
            if (NDD (bd_NewSL - bd_curSL) != 0.0) lba_Modify[0] = true;
        }
    }
    //if (bd_NewSL == bd_curSL) lba_Modify[0] = false;
    if (bd_curTP == 0.0 || USE_Dinamic_TP)
    {
        //----  TP  
        if (bi_cmd * (lda_STOPs[1] - fd_Price) > 0.0)
        {
            bd_NewTP = NDD (lda_STOPs[1]);
            //----  TP    
            if (NDD (bd_NewTP - bd_curTP) != 0.0) lba_Modify[1] = true;
        }
    }
    //----      - 
    if (!lba_Modify[0]) if (!lba_Modify[1]) return (false);
    int li_result = 0;
    //----    () 
    if (!USE_Dinamic_SL) if (!USE_Dinamic_TP) li_result = 1;
    //----       
    if (fb_USE_VirtualSTOPs) {if (fi_NSTOPs == 0) if (bd_curSL == 0.0) if (bd_curTP == 0.0) fb_USE_VirtualSTOPs = false;}
    //----      
    if (!fb_USE_VirtualSTOPs)
    {
        //----  
        int li_modify = fOrderModify (fi_Ticket, bd_OpenPrice, bd_NewSL, bd_NewTP);
        if (li_modify >= 0) fSet_Comment (bdt_curTime, fi_Ticket, 20, "fCreat_STOPs()", li_modify != 0, (bd_curSL == 0.0 && bd_curTP == 0.0));
        //----  ""  
        if (li_modify == 1) {GlobalVariableSet (StringConcatenate (fi_Ticket, "_#STOP"), li_result);}
        return (li_modify == 1);
    }
    else
    {
        //----  SL     GV-
        if (lba_Modify[0]) {GlobalVariableSet (StringConcatenate (fi_Ticket, "_#VirtSL"), bd_NewSL);}
        //----  TP     GV-
        if (lba_Modify[1]) {GlobalVariableSet (StringConcatenate (fi_Ticket, "_#VirtTP"), bd_NewTP);}
        if (!bb_VirtualTrade)
        {
            fSet_Comment (bdt_curTime, fi_Ticket, 20, "b-STOPs[Virt]", true, (bd_curSL == 0.0 && bd_curTP == 0.0));
            if (bb_CreatVStopsInChart)
            {
                if (lba_Modify[0]) fDraw_VirtSTOP (fi_Ticket, bs_NameGV, bi_cmd, 0, bd_NewSL);
                if (lba_Modify[1]) fDraw_VirtSTOP (fi_Ticket, bs_NameGV, bi_cmd, 1, bd_NewTP);
            }
        }
        //----  ""  
        GlobalVariableSet (StringConcatenate (fi_Ticket, "_#STOP"), li_result);
    }
    bs_fName = "";
    //----   
    fGet_LastErrorInArray ("fCreat_STOPs()", bi_indERR);
//----
    return (false);
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//              FIBO (  )            |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
void fCreat_LevelsByFIBO (double& ar_Extrem[],       //  
                          double& ar_STOPs[],        //   
                          int& ar_LevelFIBO[])       //    (0 -  SL; 1 -  TP)
{
    int    li_CMD, li_Level;
    double ld_Delta = (ar_Extrem[0] - ar_Extrem[1]);
//----
    for (int li_IND = 0; li_IND < 2; li_IND++)
    {
        if (bi_Type == 0) {if (li_IND == 0) li_CMD = 1; else li_CMD = 0;} else {li_CMD = li_IND;}
        li_Level = MathAbs (ar_LevelFIBO[li_IND]);
        int li_cmd = 1;
        if (ar_LevelFIBO[li_IND] < 0) {if (li_CMD == 0) li_cmd = -1;} else {if (li_CMD == 1) li_cmd = -1;}
        if (bi_Type == li_IND)
        {ar_STOPs[li_IND] = MathMin (ar_STOPs[li_IND], ar_Extrem[li_CMD] + li_cmd * ld_Delta * bda_FIBO[li_Level]);}
        else {ar_STOPs[li_IND] = MathMax (ar_STOPs[li_IND], ar_Extrem[li_CMD] + li_cmd * ld_Delta * bda_FIBO[li_Level]);}
        //if (li_IND == 0) Print (fGet_NameOP (bi_Type), ": SL[", ar_LevelFIBO[li_IND], "] = ", DSD (ar_STOPs[li_IND]), " | HIGH = ", DSD (ar_Extrem[li_IND]));
        //if (li_IND == 1) Print (fGet_NameOP (bi_Type), ": TP[", ar_LevelFIBO[li_IND], "] = ", DSD (ar_STOPs[li_IND]), " | LOW = ", DSD (ar_Extrem[li_IND]));
    }
//----
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//              .                       |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
bool fCheck_STOPsParameters()
{
    int err = GetLastError();
//----
    if (N_STOPs < 0 || N_STOPs > 3) {bs_ERROR = " 0 <= N_STOPs <= 3 !!!"; return (false);}
    if (N_STOPs == 0)
    {
        if (StopLoss < 0) {bs_ERROR = " StopLoss >= 0 !!!"; return (false);}
        if (TakeProfit < 0) {bs_ERROR = " TakeProfit >= 0 !!!"; return (false);}
    }
    else
    {
        if (LevelFIBO_SL < -2 || LevelFIBO_SL > 5) {bs_ERROR = " -2 <= LevelFIBO_SL <= 5 !!!"; return (false);}
        if (LevelFIBO_TP < -2 || LevelFIBO_TP > 5) {bs_ERROR = " -2 <= LevelFIBO_TP <= 5 !!!"; return (false);}
    }
    //----      TF
    if (TF_STOPs == 0) TF_STOPs = Period();
    if (fGet_NumPeriods (TF_STOPs) < 0) {return (false);}
    if (N_STOPs == 0)
    {
        USE_Dinamic_SL = false;
        USE_Dinamic_TP = false;
    }
    //----   
	 fGet_LastErrorInArray ("fCheck_STOPsParameters()", bi_indERR);
//----
     return (true);
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//+===================================================================================+
//|***********************************************************************************|
//| :                                                               |
//|***********************************************************************************|
//+===================================================================================+
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//|                                |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
void fSet_ValuesSTOPs (string fs_Symbol)
{
    //static string ls_Symbol = "";
//----
	 if (bs_Symbol != fs_Symbol)
	 {
		  bs_Symbol = fs_Symbol;
		  bd_SL = NDP (StopLoss);
		  bd_TP = NDP (TakeProfit);
		  bd_MIN_SL = NDP (MIN_StopLoss);
		  bd_MIN_TP = NDP (MIN_TakeProfit);
	 }
    //bd_Spread = NDP (MarketInfo (bs_Symbol, MODE_SPREAD));
//----
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//|                                                      |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
void fCheck_DecimalSTOPs()
{
//----
    if (StopLoss > 0) StopLoss *= bi_Decimal;
    if (TakeProfit > 0) TakeProfit *= bi_Decimal;
    if (MIN_StopLoss > 0) MIN_StopLoss *= bi_Decimal;
    if (MIN_TakeProfit > 0) MIN_TakeProfit *= bi_Decimal;
    //----    
    bs_Symbol = "";
    fSet_ValuesSTOPs (Symbol());
//----
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//             .                                     |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
/*void fCheck_MyIndicatorsSTOP (string fs_Symbol)
{
//----
    switch (N_STOPs)
    {
        case 2: 
            //iATR (fs_Symbol, TF_STOPs, E.ATR_Period1, 0);
            //iATR (fs_Symbol, TF_STOPs, E.ATR_Period2, 0);
            break;
        case 3: iCustom (fs_Symbol, TF_STOPs, "XLab_ZZP", E.ChannelPercent, 0, 0); break;
        default: return;
    }
//----
}*/
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|   : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//|           ""                                   |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
bool fSet_ContinueSTOPs()
{
//----
    //if (N_STOPs == 0) {if (Percent_F.SINUS != 0.5) return (true);}
//----
    return (false);
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+

